import {mande} from "mande";

const tools = mande('/api/v2/tools')

// 下载Coach Outlet Excel文件
export const DownloadCoachOutletExcel = (providerId) => {
    // return tools.get(`/excel/coach-outlet/${providerId}`, {
    //     responseType: 'blob'  // 指定响应类型为blob，用于文件下载
    // })
    return     fetch(`/api/v2/tools/excel/coach-outlet/${providerId}`, {
        method: "get",
        mode: "no-cors",
        referrerPolicy: "no-referrer",
    })
        .then((res) => res.blob())
        .then((res) => {
            const aElement = document.createElement("a");
            aElement.setAttribute("download", providerId + ".xlsx");
            const href = URL.createObjectURL(res);
            aElement.href = href;
            aElement.setAttribute("target", "_blank");
            aElement.click();
            URL.revokeObjectURL(href);
        });
}